Skip to navigation

Create Segments

Creates Segments.

Limits

  • Limit of 10 concurrent requests.
  • Max total segments allowed per store is 1000.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

NOTE: GET endpoints require only read-only permission, except for the Get All Shopper Profiles in a Segment endpoint which requires modify permission.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
namestringRequired
Name of the segment
descriptionstringOptional
Description of the segment

Response

An array of created Segments.

datalist of objectsOptional
metaobjectOptional

The number of items (total, successes, failures) in a batch request.

Errors

409
Conflict Error
422
Unprocessable Entity Error